local DefsHealingDamageFCTRemoval = CreateFrame( "Frame" )
local function DefsFCTRemover( msg, ... )
	if msg:match( "^\+%d" ) or msg:match( "^\-%d" ) then
		for i = 1, NUM_COMBAT_TEXT_LINES do
			local string = _G[ "CombatText"..i ]
			string:SetAlpha( 0 )
			string:Hide()
		end
	end
end
DefsHealingDamageFCTRemoval:SetScript( "OnEvent", function( self, event, ... )
	if ( event == "ADDON_LOADED" ) then
		if ... == "Blizzard_CombatText" then
			hooksecurefunc( "CombatText_AddMessage", DefsFCTRemover )
			self:UnregisterEvent( event )
		end
	end
end )
DefsHealingDamageFCTRemoval:RegisterEvent( "ADDON_LOADED" )